<?php
#Made By: AngelOfFaith
#URL: http://coder-lib.ru
#ICQ: 410755038
#Mail: angeloffaith@inbox.ru
#Скпри запрещено продавать, раздавать, менять, выкладывать, переписывать!
#Все права на скрипт принадлежат автору, тоесть мне!
#З.Ы. Уважайте авторские права

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Онлайн город'; // заголовок страницы

include_once '../sys/inc/thead.php';
title();
err();
aut();

$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(isset($user)){
if($gconf[0]['open']!=1){


echo '<b><font color="red">Тараканьи бега</font></b><br/>';


$action=htmlspecialchars(trim($_GET['action']));


switch ($action){


default:
$x=mysql_query("SELECT * FROM `gorod_tbega` WHERE `last`=''");
$c=mysql_fetch_assoc($x);
if(mysql_num_rows($x)>=5){
$win=mt_rand(1,6);
$who=mysql_query("SELECT * FROM `gorod_tbega` WHERE `bet`='$win'");
while($row=mysql_fetch_assoc($who)){
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`+5000 WHERE `nick`='".$row['name']."'");
};
mysql_query("DELETE FROM `gorod_tbega`");
mysql_query("INSERT INTO `gorod_tbega` (`last`)VALUES('$win')");
};
echo'<b>Время: '.date("H:i:s").'</b><br/>';
echo'Ты состоятельный человек с приличными деньгами? <br/>';
echo 'Участвуй в тараканьих бегах! <br/> Выигрывай лёгкие деньги! <br/>';
echo 'Крупные ставки по 1000!<br/><br/>';
echo 'НАШИ ТАРАКАНЫ:<br/>';
echo '1.Бешеный Джо<br/>';
echo '2.Стрелка<br/>';
echo '3.Белка<br/>';
echo '4.Крэзи Пайп<br/>';
echo '5.Жирный тони<br/>';
echo '6.Шмыга-бегун<br/>';
$n=mysql_query("SELECT * FROM `gorod_tbega` WHERE `last`!=''");
$n=mysql_fetch_assoc($n);

echo'<font color="red">В предыдущих гонках победил таракан: №'.$n['last'].'</font><br/>';
echo 'Текущее количество ставок :<font color="gold"> '.mysql_num_rows($x).'</font><br/>';
echo 'Бега начнутся когда будет 5 ставок!<br/>';
echo'<br/>Введите номер таракана от 1 до 6 включительно';
echo '<br/><form action="bega.php?action=bilet" method="post">';
echo '<input name="bilet"/><br/>';
echo '<input type="submit" value="Ставить!!!"/>';
echo '</form>';
echo'Ставка равна 1000 монет<br/>';
echo'У вас в наличии монет: '.$user['gorod_money'].'<br/>';
break;


case 'bilet':
if($user['gorod_money']>1000){
$x=mysql_query("SELECT * FROM `gorod_tbega` WHERE `name`='".$user['nick']."'");
if(!mysql_num_rows($x)){
$bet=(int)$_POST['bilet'];
if(!$bet || $bet>6 || $bet<0){echo 'Не правильная ставка!';break;};
mysql_query("INSERT INTO `gorod_tbega` (`name`,`bet`)VALUES('".$user['nick']."','$bet')");
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`-1000 WHERE `id`='".$user['id']."'");
echo'<b>Ставки сделаны! Бега состоятся при наличии пяти ставок!</b><br/>';
echo'Результат розыгрыша станет известным после того, как ставки сделают 5 участников!<br/>';
echo'<br/>У вас в наличии монет: '.$user['gorod_money'].'<br/>';
}else{
echo'Вы уже сделали ставку! Нельзя ставить дважды, это противоречит правилам
тараканьих бегов!<br/>';};
}else{
echo'Вы не можете играть на тараканьих бегах т.к. на
вашем счете недостаточно денег!<br/>';
};
echo '<br/><a href="bega.php">Вернуться к бегам</a>';

break;







};
echo '<div class="msg"><a href="index.php">В город</a></div>';
}else{echo '<div class="msg">Город закрыт администратором!</div>';};

}else{
echo '<div class="msg">Город доступен только для авторизованых пользователей!</div>';
};

include_once '../sys/inc/tfoot.php';
?>